Clicky

Could some one help me with this error ?
We have 2 PCs, both WinXP with latest updates, one has Progress OpenEdge 10.1A (SP2) installed, running our POS database, the other PC we use it to run our Excel reports.

After installing the OpenEdge driver we created a ODBC connection to the database, everything went ok for a few days but now the connection just gives an error:
[DataDirect][ODBC Progress OpenEdge WireProtocol][OPENEDGE] Server rejects connection on attach.

I cannot login to the DB anymore not even on the server where the OpenEdge DB is located. All ODBC connection fail with the same error.

When I created my new user I used "sysprogress" username and password, now that one doesn't work either. Already tried to reinstall the drivers, already tried dbtool but no change.

Any ideas how to fix this ?

asked 11/25/2011 03:49

vguzman's gravatar image

vguzman ♦♦


6 Answers:
I found this on the Internet but have no idea how to check this or even fix it

http://www.scribd.com/doc/62644290/Progress-OpenEdge-10-1A02-Service-Pack-Release-Notes
(page 42)

20060607-011 ODBC

ODBC connection fails when database has ICU-UCA collation with error: [DataDirect][ODBC Progress OpenEdge WireProtocol driver][OPENEDGE]Server rejects connection on attach.
link

answered

vguzman's gravatar image

vguzman

As I understand from the PDF, the problem is solved in OpenEdge 10.1A02 service pack FATHOM 3.0A
I can't find the update itself on de website, but maybe you can ask your software vendor or call Progress support for where to get that service pack.
link

answered 2011-11-25 at 12:02:18

Darude1234's gravatar image

Darude1234

I do have SP2 installed but not sure if it is the FATHOM 3.0A version, how can I check that ? like I said, I am not familiar with OpenEdge at all. Thanks.
link

answered 2011-11-26 at 03:39:16

vguzman's gravatar image

vguzman

OK I found the info about the version we have at the moment:
 Product Name      : Progress
       Install Path      : C:\Progress\OpenEdge
       Version      : 10.1A
       Service Pack      : 02
       Temp. Fix      : 00
       Build            : 1483

Anyone has an idea how to fix this error or a useful workaround ?
link

answered 2011-11-28 at 12:03:55

vguzman's gravatar image

vguzman

Well that's indeed the software version in which the problem occurs, according to the PDF above.
And the PDF says that it is solved in the service pack 'FATHOM 3.0A' for that version (10.1A SP2)
As I said earlier: I can't find that service pack 'FATHOM 3.0A' on the Progress-website, but maybe you can call progress support to ask them where to get that service pack.
link

answered 2011-11-29 at 12:12:51

Darude1234's gravatar image

Darude1234

Our POS system is not "certified" to use OpenEdge with FATHOM 3.0A service pack so that the end of it.

Any other ideas how to avoid this error with the current setup ? I am testing changing the isolation level we use and see if we get better results.
link

answered 2011-11-30 at 10:53:49

vguzman's gravatar image

vguzman

Your answer
[hide preview]

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Tags:

×1
×1

Asked: 11/25/2011 03:49

Seen: 303 times

Last updated: 12/08/2011 02:50